# $Revision: 1.11 $, $Date: 2012/05/15 11:25:28 $
# seems that this is loaded as a plugin, symbols come from libgoa
%define		skip_post_check_so	libgoa-backend-1.0.so.0.0.0
Summary:	Provide online accounts information
Name:		gnome-online-accounts
Version:	3.4.2
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-online-accounts/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	adb39a6ba7661fff915297ebb800ec09
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	glib2-devel >= 1:2.30.0
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils >= 0.12.1
BuildRequires:	gobject-introspection-devel >= 0.6.2
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtk-doc
BuildRequires:	gtk-webkit3-devel
BuildRequires:	intltool >= 0.40.1
BuildRequires:	json-glib-devel
BuildRequires:	libgnome-keyring-devel
BuildRequires:	libnotify-devel >= 0.7
BuildRequires:	libsoup-gnome-devel >= 2.26
BuildRequires:	rest-devel >= 0.7
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gnome-online-accounts provides interfaces so applications and
libraries in GNOME can access the user's online accounts.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.30.0
Requires:	gtk+3-devel

%description devel
The gnome-online-accounts-devel package contains libraries and header
files for developing applications that use gnome-online-accounts.

%package apidocs
Summary:	GOA API documentation
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
GOA API documentation.

%prep
%setup -q

%build
%{__gnome_doc_prepare}
%{__gnome_doc_common}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static \
	--disable-silent-rules \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--enable-google \
	--enable-twitter \
	--enable-yahoo \
	--enable-facebook
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT/%{_libdir}/*.la

%find_lang gnome-online-accounts

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%update_icon_cache hicolor

%files -f gnome-online-accounts.lang
%defattr(644,root,root,755)
%doc NEWS COPYING
%attr(755,root,root) %{_libexecdir}/goa-daemon
%attr(755,root,root) %{_libdir}/libgoa-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgoa-1.0.so.0
%attr(755,root,root) %{_libdir}/libgoa-backend-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgoa-backend-1.0.so.0
%{_datadir}/dbus-1/services/org.gnome.OnlineAccounts.service
%{_iconsdir}/hicolor/*/apps/goa-*.png
%{_mandir}/man8/goa-daemon.8*
%{_libdir}/girepository-1.0/Goa-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgoa-1.0.so
%attr(755,root,root) %{_libdir}/libgoa-backend-1.0.so
%{_includedir}/goa-1.0
%{_datadir}/gir-1.0/Goa-1.0.gir
%{_pkgconfigdir}/goa-1.0.pc
%{_pkgconfigdir}/goa-backend-1.0.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/goa

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-online-accounts.spec,v $
Revision 1.11  2012/05/15 11:25:28  kiesiu
- updated to 3.4.2

Revision 1.10  2012/04/17 16:25:47  megabajt
- updated to 3.4.1

Revision 1.9  2012/03/27 19:47:47  kiesiu
- updated to 3.4.0; merged from DEVEL

Revision 1.8.2.1  2012/03/21 19:19:02  megabajt
- updated to 3.3.92.1

Revision 1.8  2011/10/18 19:39:19  kiesiu
- updated to 3.2.1

Revision 1.7  2011/09/28 21:12:13  wiget
- up to 3.2.0.1

Revision 1.6  2011/09/27 21:43:39  kiesiu
- updated to 3.2.0

Revision 1.5  2011/09/19 20:57:17  megabajt
- updated to 3.1.91

Revision 1.4  2011/09/07 20:47:27  wiget
- switch to .xz
- enable all providers
- disable silent make rules

Revision 1.3  2011/09/03 11:14:07  wiget
- adapterized
- %changelog fix

Revision 1.2  2011/09/01 22:51:07  patrys
- 3.1.90

Revision 1.1  2011/07/31 23:43:49  patrys
- initial PLD release
